Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160931 - [PATCH] system-switch-mail: incorrect consolehelper config
Summary: [PATCH] system-switch-mail: incorrect consolehelper config
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-switch-mail
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 20:49 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-27 16:28:39 UTC


Attachments (Terms of Use)
Fix consolehelper config (deleted)
2005-08-04 10:41 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2005-06-18 20:49:42 UTC
If system-switch-mail-gnome is not installed, running system-switch-mail  
displays a dialog with the message "Unknown error" and exits.   
system-switch-mail-nox works, as well as the GUI version but only if  
system-switch-mail-gnome is installed (and there's no dependency to it). 
  
Shouldn't the console.apps file (currently in s-s-m-gnome) and the 
consolehelper symlinks (currently in s-s-m) be in the same package?

Comment 1 Ville Skyttä 2005-08-04 10:41:47 UTC
Created attachment 117437 [details]
Fix consolehelper config

Here's a suggested fix.

Comment 2 Ville Skyttä 2006-02-23 20:50:36 UTC
Any chance of getting this fixed for FC5?  The patch still applies cleanly.

Comment 3 Ngo Than 2006-02-27 16:28:39 UTC
it's now fixed in CVS. FC5 is now freezed, but still hope it will be included 
in next rawhide. I will build new package for FC4-update in next days. Thanks 
for your report. 


Note You need to log in before you can comment on or make changes to this bug.